/*
** wide_example.h
**
** This is the header file that goes with the Sybase
** Client-Library example programs. It is used in wide_*.c programs.
**
*/

/* Sccsid %Z% %M% %I% %G% */

/*
** Define symbolic names, constants, and macros
*/

#define RETURN_IF(a,b) if (a != CS_SUCCEED) \
        {fprintf(stdout,"error in %s\n",b); return a;}

#define EXIT_IF(a) if (a != CS_SUCCEED)\
        {fprintf(stdout,"FATAL error on line %d \n",__LINE__); exit(-1) ;}

/* Global variables */
#define MAX_COLUMN      10
#define MAX_COLSIZE     1024
#define MAX_COMMAND     1024

extern char	row_buffer[MAX_COLUMN][MAX_COLSIZE] ;

extern CS_RETCODE init_db PROTOTYPE((
         CS_CONTEXT      **
         ));

extern CS_RETCODE connect_db PROTOTYPE((
         CS_CONTEXT      *,
         CS_CONNECTION   **,
         CS_CHAR         *,
         CS_CHAR         *
         ));
extern CS_RETCODE cleanup_db PROTOTYPE((
         CS_CONTEXT      *,
         CS_RETCODE
         ));
extern CS_RETCODE handle_returns PROTOTYPE((
         CS_COMMAND      *
         ));
extern CS_RETCODE fetch_n_print PROTOTYPE((
         CS_COMMAND      *
         ));

